### Method

# EDataServer Source emit_credentials_required

since: 3.16

#### Declaration [src]

    void
    e_source_emit_credentials_required (
      ESource* source,
      ESourceCredentialsReason reason,
      const gchar* certificate_pem,
      GTlsCertificateFlags certificate_errors,
      const GError* op_error
    )

#### Description [src]

Emits locally (in this process only) the ESource::credentials-required signal with given parameters. That’s the difference with e_source_invoke_credentials_required(), which calls the signal globally, within each client.

Available since: 3.16

#### Parameters

`reason`

  Type: `ESourceCredentialsReason`

  An `ESourceCredentialsReason`, why the credentials are required.

`certificate_pem`

  Type: `const gchar*`

  PEM-encoded secure connection certificate, or an empty string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`certificate_errors`

  Type: `GTlsCertificateFlags`

  A bit-or of `GTlsCertificateFlags` for secure connection certificate.

`op_error`

  Type: `GError`

  A `GError` with a description of the previous credentials error, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.